package com.gree.mall.manager.enums.ums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum UmsCheckStatusEnum implements BaseEnum {
    D1("D1","待复审"),
    D2("D2","复审成功"),
    D3("D3","复审失败"),
    E1("E1","待终审"),
    E2("E2","终审成功"),
    E3("E3","终审失败"),
    E("E","已放款"),
    ER("ER","异常"),
    ED("ED","失败"),
    UN("UN","未知"),
    QN("QN","退资格未知"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
